Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Completions

List
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
https://api.relesysapp.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
Get a list of task completions.

Default sort is by lastModifiedDateTime in descending order.

areaDepartmentId will be populated only when task's assignee type is "ByDepartmentType".
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The task's unique identifier required
Query String
areaDepartmentId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
serviceFormFillingId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"453f2b8e-8d62-48d4-bc4f-6bb42c437673","userId":"72fd3caa-d003-430c-9578-b1a325d970c3","departmentId":"248327fd-a143-4abd-8e37-908939db0e7c","areaDepartmentId":"58b61a83-b1f1-48c3-8b53-7574d0637890","serviceFormFillingId":"d329e477-a74a-40ac-a8e9-6d9ea3b90adb","creationDateTime":"2026-10-15T09:14:03.9729663+00:00","lastModifiedDateTime":"2026-10-15T09:14:03.9729663+00:00"},{"id":"65ce7951-a9cc-4333-bae6-df1ce8d47e78","userId":"769e4f74-40ad-45bd-a482-a3c7530be95c","departmentId":"3e974d17-6900-4c36-a997-9dc20c63ee18","areaDepartmentId":null,"serviceFormFillingId":null,"creationDateTime":"2026-10-14T09:14:03.9729663+00:00","lastModifiedDateTime":"2026-10-15T09:14:03.9729663+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   areaDepartmentId string / guid      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   serviceFormFillingId string / guid      
   userId string / guid      
  nextUrl string      
  previousUrl string